let allatok = {
    fajta: "kutya",
    szin: "fekete",
    kor: 6,
    etelallergia: ["gabona", "csoki"],
    fiu: true,
    eves: function(etel) {
        if (!this.etelallergia.includes(etel)) {
            return `A(z) ${this.fajta} megeheti az alábbi ételt: ${etel}`
        } else {
            return `A(z) ${this.fajta} nem eheti meg az alábbi ételt: ${etel}`
        }
    },
    informacio: function() {
        return `A(z) ${this.fajta}, aki ${this.szin} színű, ${this.kor} éves és az alábbi ételekre allergiás: ${allatok.etelallergia.join(", ")}`
    },
    alszik: function(ora) {
        if (ora < 0) {
            return `A(z) ${this.fajta} nem tud negatív órát aludni!`
        } else if (this.kor <= 5) {
            if (ora >= 6 && ora <= 8) {
                return `A fiatal ${this.fajta} eleget aludt!`
            } else {
                return `A fiatal ${this.fajta} nem aludt eleget!`
            }
        } else if (this.kor >= 5) {
            if (ora >= 8 && ora <= 10) {
                return `Az idős ${this.fajta} eleget aludt!`
            } else {
                return `Az idős ${this.fajta} nem aludt eleget!`
            }
        }
    },
    hozzaad: function(etel) {
        this.etelallergia.push(etel)
        return `A(z) ${this.fajta} ezekre az ételekre allergiás: ${this.etelallergia.join(", ")}`
    },
    eletkor: function() {
        if (this.fajta == "kutya") {
            return `A kutya életkora kutyaévekben: ${this.kor * 7}`
        }
    },
    allergiaABC: function() {
        this.etelallergia.sort()
        return `A(z) ${this.fajta} allergiás ételei ABC sorrendben: ${this.etelallergia.join(", ")}`
    }

}

console.log(allatok.allergiaABC());

